Package ru.bitel.bgbilling.kernel.table.common.bean

# Class BGUTableRowData

java.lang.Object
ru.bitel.bgbilling.kernel.table.common.bean.BGUTableRowData

All Implemented Interfaces:
  `Idable`

public class BGUTableRowData extends Object implements Idable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BGUTableRowData()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BGUTableRowData`
  `addValue(String name, boolean value)`
  `BGUTableRowData`
  `addValue(String name, int value)`
  `BGUTableRowData`
  `addValue(String name, String value)`
  `BGUTableRowData`
  `addValue(String name, String value, String color)`
  `BGUTableRowData`
  `addValue(BGUTableRowValue tableRowValue)`
  `int`
  `getId()`
  Возвращает id объекта
  `List<BGUTableRowValue>`
  `getValues()`
  `Optional<String>`
  `optValue(String key)`
  `void`
  `setValue(String name, String value)`
  `void`
  `setValues(List<BGUTableRowValue> values)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BGUTableRowData

    public BGUTableRowData()

- ## Method Details

  - ### getValues

    public List<BGUTableRowValue> getValues()

  - ### setValues

    public void setValues(List<BGUTableRowValue> values)

  - ### setValue

    public void setValue(String name, String value)

  - ### addValue

    public BGUTableRowData addValue(BGUTableRowValue tableRowValue)

  - ### addValue

    public BGUTableRowData addValue(String name, String value)

  - ### addValue

    public BGUTableRowData addValue(String name, String value, String color)

  - ### addValue

    public BGUTableRowData addValue(String name, boolean value)

  - ### addValue

    public BGUTableRowData addValue(String name, int value)

  - ### optValue

    public Optional<String> optValue(String key)

  - ### getId

    public int getId()
    Description copied from interface: `Idable`
    Возвращает id объекта
    Specified by:
      `getId` in interface `Idable`
    Returns: